Bug 1022165 - sphinx: remove versioned jars from %{_javadir}
sphinx: remove versioned jars from %{_javadir}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sphinx (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:53 EDT by Stanislav Ochotnicky
Modified: 2014-03-25 11:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.1.5-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-25 11:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Remove versioned symlink (1.53 KB, patch)
2014-01-07 06:16 EST, Michael Simacek
no flags Details | Diff
Remove versioned symlink (2.47 KB, patch)
2014-03-25 05:58 EDT, Michael Simacek
no flags Details | Diff

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:53:38 EDT
Package sphinx seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
sphinx-java:
/usr/share/java/sphinx-2.0.8.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 Michael Simacek 2014-01-07 06:16:00 EST
Created attachment 846602 [details]
Remove versioned symlink
Comment 2 Michael Simacek 2014-03-25 05:58:41 EDT
Created attachment 878364 [details]
Remove versioned symlink

Rebased
Comment 3 Mikolaj Izdebski 2014-03-25 09:46:41 EDT
Fixed in sphinx-2.1.5-2
Comment 4 Mikolaj Izdebski 2014-03-25 11:11:22 EDT
I believe that this bug is fixed in sphinx-2.1.5-2,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=506860

Note You need to log in before you can comment on or make changes to this bug.